gi-glib-2.0.17: GLib bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.GLib.Structs.StatBuf

Contents

- Exported types

Description

A type corresponding to the appropriate struct type for the `stat()` system call, depending on the platform and/or compiler being used.

See `g_stat()` for more information.

Synopsis

- newtype StatBuf = StatBuf (ManagedPtr StatBuf)
- noStatBuf :: Maybe StatBuf

# Exported types

newtype StatBuf Source #

Memory-managed wrapper type.

Constructors

StatBuf (ManagedPtr StatBuf) |

Instances

WrappedPtr StatBuf Source # |
Instance details Defined in GI.GLib.Structs.StatBuf Methods wrappedPtrCalloc :: IO (Ptr StatBuf) Source # wrappedPtrCopy :: StatBuf -> IO StatBuf Source # wrappedPtrFree :: Maybe (FunPtr (Ptr StatBuf -> IO ())) Source #

noStatBuf :: Maybe StatBuf Source #

A convenience alias for `Nothing` :: `Maybe` `StatBuf`.